# Uses of Interface
net.shibboleth.idp.attribute.resolver.scripted.ResolverScriptContextExtender

Packages that use ResolverScriptContextExtender
Package
Description
net.shibboleth.idp.attribute.resolver.ad.impl
Implementations of various `AttributeDefinition`s.
net.shibboleth.idp.attribute.resolver.dc.scripted.impl
Classes which make up the scripted data connector.

## Uses of ResolverScriptContextExtender in net.shibboleth.idp.attribute.resolver.ad.impl

Fields in net.shibboleth.idp.attribute.resolver.ad.impl with type parameters of type ResolverScriptContextExtender
Modifier and Type
Field
Description
`private Collection<ResolverScriptContextExtender>`
ScriptedAttributeDefinition.`contextExtenders`
Extenders for script context.
Method parameters in net.shibboleth.idp.attribute.resolver.ad.impl with type arguments of type ResolverScriptContextExtender
Modifier and Type
Method
Description
`void`
ScriptedAttributeDefinition.`setScriptContextExtenders(Collection<ResolverScriptContextExtender> extenders)`
Set any script context extenders to apply.

## Uses of ResolverScriptContextExtender in net.shibboleth.idp.attribute.resolver.dc.scripted.impl

Fields in net.shibboleth.idp.attribute.resolver.dc.scripted.impl with type parameters of type ResolverScriptContextExtender
Modifier and Type
Field
Description
`private Collection<ResolverScriptContextExtender>`
ScriptedDataConnector.`contextExtenders`
Extenders for script context.
Method parameters in net.shibboleth.idp.attribute.resolver.dc.scripted.impl with type arguments of type ResolverScriptContextExtender
Modifier and Type
Method
Description
`void`
ScriptedDataConnector.`setScriptContextExtenders(Collection<ResolverScriptContextExtender> extenders)`
Set any script context extenders to apply.